콘텐츠로 건너뛰기

Eleven v4 Text to Speech

통합

모델 id elevenlabs/tts/eleven-v4
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/elevenlabs/tts/eleven-v4?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "[whispers] Okay, everyone, gather close. [excited] The bread is finally out of the oven. [laughs] Fine, fine, one slice each, but only if you promise to save one for me."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.014 14 API 크레딧 · ≈ ₽1.51 이 페이지에서 실행

API 키 받기
ElevenLabs 텍스트를 음성으로 #voiceover#expressive#timestamps

인라인 감정 태그와 단어 타임스탬프를 지원하는 ElevenLabs의 가장 표현력 높은 음성 모델

예시

출력 · ~14 s
[whispers] Okay, everyone, gather close. [excited] The bread is finally out of the oven. [laughs] Fine, fine, one slice each, but only if you promise to save one for me.$0.014 · 14 API 크레딧

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 169 / 5000

[whispering]과 같은 오디오 태그로 전달 방식을 표시하거나 슬래시 사이에 IPA 발음을 지정할 수 있는 음성 콘텐츠를 텍스트로 제공합니다.

기본값 Rachel

음성 합성에 선택된 음성입니다.

고급 apply_text_normalization · language_code · output_format · stability · similarity_boost · seed · timestamps
apply_text_normalization 기본값 auto

생성 전에 숫자와 날짜 처리를 포함한 텍스트 정규화를 제어합니다.

음성 생성 및 텍스트 정규화에 사용되는 ISO 639-1 언어 코드입니다.

기본값 mp3_44100_128

codec_sample_rate_bitrate 패턴으로 지정하는 생성 오디오 형식입니다.

기본값 0.5

음성 안정성은 낮은 설정에서 표현력 있는 전달과 높은 설정에서 일관된 전달 사이의 균형을 조정합니다.

기본값 0.75

참조 음성과의 유사도를 제어합니다. 값을 높이면 일치도가 향상되지만 출력이 덜 자연스럽게 들릴 수 있습니다.

재현 가능한 결과를 시도하기 위한 시드입니다. 출력이 정확히 반복된다는 보장은 없습니다.

POST /run/elevenlabs/tts/eleven-v4?wait=20 견적 → $0.014
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/elevenlabs/tts/eleven-v4?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "[whispers] Okay, everyone, gather close. [excited] The bread is finally out of the oven. [laughs] Fine, fine, one slice each, but only if you promise to save one for me."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Eleven v4 Text to Speech 정보

Eleven v4는 자연스럽고 감정적인 음성으로 텍스트를 읽으며 [excited] 또는 [whispering] 같은 인라인 오디오 태그와 IPA 발음을 이해합니다. 음성을 선택하고 안정성과 유사도를 조정하며 언어를 설정하고, 선택적으로 단어 단위 타임스탬프를 받을 수 있습니다. MP3, PCM, Opus 및 전화 통신 형식을 지원합니다.

매개변수

이름유형 기본값허용됨 설명
text필수
유형string
≤ 5,000자
[whispering]과 같은 오디오 태그로 전달 방식을 표시하거나 슬래시 사이에 IPA 발음을 지정할 수 있는 음성 콘텐츠를 텍스트로 제공합니다.
voice선택 사항
유형string
기본값Rachel
음성 합성에 선택된 음성입니다.
stability선택 사항
유형number
기본값0.5
0 – 1
음성 안정성은 낮은 설정에서 표현력 있는 전달과 높은 설정에서 일관된 전달 사이의 균형을 조정합니다.
similarity_boost선택 사항
유형number
기본값0.75
0 – 1
참조 음성과의 유사도를 제어합니다. 값을 높이면 일치도가 향상되지만 출력이 덜 자연스럽게 들릴 수 있습니다.
seed선택 사항
유형integer | null
0 – 4,294,967,295
재현 가능한 결과를 시도하기 위한 시드입니다. 출력이 정확히 반복된다는 보장은 없습니다.
language_code선택 사항
유형string | null
음성 생성 및 텍스트 정규화에 사용되는 ISO 639-1 언어 코드입니다.
output_format선택 사항
유형enum
기본값mp3_44100_128
mp3_22050_32mp3_44100_32mp3_44100_64mp3_44100_96mp3_44100_128mp3_44100_192pcm_8000pcm_16000pcm_22050pcm_24000pcm_44100pcm_48000ulaw_8000alaw_8000opus_48000_32opus_48000_64
+3개 더 보기opus_48000_96opus_48000_128opus_48000_192
codec_sample_rate_bitrate 패턴으로 지정하는 생성 오디오 형식입니다.
apply_text_normalization선택 사항
유형enum
기본값auto
autoonoff
생성 전에 숫자와 날짜 처리를 포함한 텍스트 정규화를 제어합니다.
timestamps선택 사항
유형boolean
기본값false
생성된 오디오에 개별 문자별 타이밍 데이터를 함께 제공할지 제어합니다.
필수

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "elevenlabs/tts/eleven-v4",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 14,
    "usd": "0.014",
    "charged": 14,
    "refunded": 0
  },
  "input": {
    "text": "[excited] Hello! Welcome to the future of voice.",
    "voice": "Aria"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "timestamps": []
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
audio
object {url, content_type, file_name, file_size}생성된 오디오 파일입니다.
timestamps
array of any | null`timestamps`가 True로 설정된 요청에만 포함되는 생성 음성 타이밍 데이터이며, 모든 단어의 타임스탬프를 포함합니다.

더 많은 모델: 텍스트를 음성으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/elevenlabs/tts/eleven-v4.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt